# ``twisted`.`logger`.`LogLevelFilterPredicate``

class documentation

`class LogLevelFilterPredicate: (source)`

Implements interfaces: `twisted.logger.ILogFilterPredicate`

View In Hierarchy

`ILogFilterPredicate` that filters out events with a log level lower than the log level for the event's namespace.

Events that not not have a log level or namespace are also dropped.

Method | `__call__` | Determine whether an event should be logged.
Method | `__init__` |
Method | `clearLogLevels` | Clears all log levels to the default.
Method | `logLevelForNamespace` | Determine an appropriate log level for the given namespace.
Method | `setLogLevelForNamespace` | Sets the log level for a logging namespace.
Instance Variable | `defaultLogLevel` | Undocumented
Instance Variable | `_logLevelsByNamespace` | Undocumented

def __call__(self, event): (source)
from `twisted.logger.ILogFilterPredicate`
Determine whether an event should be logged.

Parameters
event:`LogEvent` | Undocumented
Returns
`NamedConstant` | a `PredicateResult`.

def __init__(self, defaultLogLevel=LogLevel.info): (source)

Parameters
defaultLogLevel:`NamedConstant` | The default minimum log level.

def clearLogLevels(self): (source)
Clears all log levels to the default.
def logLevelForNamespace(self, namespace): (source)

Determine an appropriate log level for the given namespace.

This respects dots in namespaces; for example, if you have previously invoked `setLogLevelForNamespace("mypackage", LogLevel.debug)`, then `logLevelForNamespace("mypackage.subpackage")` will return `LogLevel.debug`.

Parameters
namespace:`str` | A logging namespace. Use `""` for the default namespace.
Returns
`NamedConstant` | The log level for the specified namespace.

def setLogLevelForNamespace(self, namespace, level): (source)
Sets the log level for a logging namespace.

Parameters
namespace:`str` | A logging namespace.
level:`NamedConstant` | The log level for the given namespace.

defaultLogLevel = (source)

Undocumented

_logLevelsByNamespace: `Dict[str, NamedConstant]` = (source)

Undocumented